package gr.uoi.settime;

import androidx.appcompat.app.AlertDialog;
import androidx.appcompat.app.AppCompatActivity;

import android.content.DialogInterface;
import android.os.Bundle;
import android.text.InputType;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.LinearLayout;

public class MainActivity extends AppCompatActivity {

    LinearLayout mainLayout=null,l1=null,l2=null;
    EditText h=null,m=null,s=null;
    Button set=null,up=null,down=null;
    int hour=0,minute=0,second=0;

    public void showMessage(String message)
    {
        AlertDialog.Builder alertDialog=new AlertDialog.Builder(MainActivity.this);
        alertDialog.setTitle("MyTitle");
        alertDialog.setMessage(message);
        alertDialog.setPositiveButton("OK", new DialogInterface.OnClickListener() {

            @Override
            public void onClick(DialogInterface dialog, int which) {
                dialog.cancel();
            }
        });
        alertDialog.show();
    }
    void setTime()
    {
        int k=Integer.parseInt(h.getText().toString());
        if(k<0 || k>=24)
        {
            showMessage("Lathos ora");
            h.setText("0");
        }
        else
            hour=k;
        k=Integer.parseInt(m.getText().toString());
        if(k<0 || k>=60)
        {
            showMessage("Lathos lepto");
            m.setText("0");
        }
        else
            minute=k;
        k=Integer.parseInt(s.getText().toString());
        if(k<0||k>=60)
        {
            showMessage("Lathos deyterolepto");
            s.setText("0");
        }
        else
            second=k;

    }

    void upTime()
    {
        second++;
        if(second==60)
        {
            second=0;
            minute++;
            if(minute==60)
            {
                minute=0;
                hour++;
                if(hour==24)
                {
                    showMessage("I mera allaxe");
                    hour=0;
                }
            }
        }
        h.setText(""+hour);
        m.setText(""+minute);
        s.setText(""+second);
    }

    void downTime()
    {
        second--;
        if(second<0)
        {
            second=59;
            minute--;
            if(minute<0)
            {
                minute=59;
                hour--;
                if(hour<0)
                {
                    showMessage("I mera allaxe");
                    hour=23;
                }
            }
        }
        h.setText(""+hour);
        m.setText(""+minute);
        s.setText(""+second);

    }
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        mainLayout=new LinearLayout(this);
        setContentView(mainLayout);
        mainLayout.setOrientation(LinearLayout.VERTICAL);

        l1=new LinearLayout(this);
        l2=new LinearLayout(this);
        mainLayout.addView(l1);
        mainLayout.addView(l2);
        h=new EditText(this);
        h.setHint("Hour");
        l1.addView(h);
        m=new EditText(this);
        m.setHint("Minute");
        l1.addView(m);
        s=new EditText(this);
        s.setHint("Second");
        l1.addView(s);
        set=new Button(this);
        set.setText("SET");
        l2.addView(set);
        up=new Button(this);
        up.setText("UP");
        l2.addView(up);
        down=new Button(this);
        down.setText("DOWN");
        l2.addView(down);
        h.setInputType(InputType.TYPE_CLASS_NUMBER);
        m.setInputType(InputType.TYPE_CLASS_NUMBER);
        s.setInputType(InputType.TYPE_CLASS_NUMBER);

        set.setOnClickListener(new View.OnClickListener()
        {

            @Override
            public void onClick(View v) {
                setTime();
            }

        });
        up.setOnClickListener(new View.OnClickListener()
        {

            @Override
            public void onClick(View v) {
                upTime();
            }

        });
        down.setOnClickListener(new View.OnClickListener()
        {

            @Override
            public void onClick(View v) {
                downTime();
            }

        });

    }
}
